Subject: Re: Linuxppc-embedded Digest, Vol 35, Issue 33

From: Scott Wood <[email-masked]>
Date: Tue, 17 Jul 2007 11:02:18 -0500

suresh suresh wrote:
> MPC8280 has internal memory space which contains Dualport(Dp) RAM. In the
> DpRAM we allocate some tables and these has to store pointer of the buffers
> which are allocated in external memory. Core will use this pointer to 
> access
> the buffers, basically these buffers are used for DMA.
> 
> Using IMMR register we can get physical address of the internal memory. Now
> can I store the address return by the kmalloc() function? or I should
> convert it into physical?

Yes, you need to convert it to physical.  As I said earlier, use the DMA 
mapping API (described in Documentation/DMA-mapping.txt) to do so. 
Specifically, look at the dma_map_single() function.

-Scott